<template>
  <div id="hello">
        <h1>{{message}} {{person.firstname}} !</h1>
        <h2>Hello {{person.firstname}} {{person.lastname}} de {{person.from}} !</h2>
        <label>Firstname: <input type="text" v-model="person.firstname"></label>
        <label>Lastname: <input type="text" v-model="person.lastname"></label>
        <label>From: <input type="text" v-model="person.from"></label>
        <label>Message : <input type="text" v-model="message"></label>
  </div>
</template>

<script>
export default {
    data() {
        return{
            person:{
                firstname:'',
                lastname:'',
                from:''
            },
            message:'Welcome'
        }
    },
    mounted(){
        this.person.firstname = this.$route.query.firstname
        this.person.lastname = this.$route.query.lastname

    }
}
</script>